Bug 1564580 - In Nautilus, Recent is now durably corrupted as a result from a system upgrade
Summary: In Nautilus, Recent is now durably corrupted as a result from a system upgrade
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 16:54 UTC by ricky.tigg
Modified: 2019-05-28 20:09 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:09:56 UTC
Type: Bug


Attachments (Terms of Use)
Samples of dosuments states opened from Nautilus Recent (20.00 KB, application/x-tar)
2018-04-06 16:54 UTC, ricky.tigg
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME nautilus issues 378 0 None None None 2018-05-09 09:57:28 UTC

Description ricky.tigg 2018-04-06 16:54:23 UTC
Created attachment 1418253 [details]
Samples of dosuments states opened from Nautilus Recent

Description of problem: as a result of an upgrade from Fedora Desktop v. 27 to v. 28 beta, Items permissions were not preserved in Recent. Recent is durably corrupted in such a way so that documents which are editable at their respective locations are now automatically set to read-only when they are opened from Recent.

Version-Release number of selected component: nautilus.x86_64 3.28.0.1-1.fc28
(component involved possibly different)

How reproducible: Assumed that –on Gnome– Settings -> Privacy -> Usage History option is set to On (ideally with option Retain set o Forever for this testing case). Execute 'dnf system-upgrade -y download --refresh–releasever=28'.

Actual results: Nautilus' items listed in Recent –which were all local– have all been changed to read-only (attachments). None of them were with those read-sets before the upgrade took place.

Applying to them the option Remove from Recent and then opening items from their respective locations, and then renewing the openings From Recent has no effect on the existing states (read-only).

Expected results: Recent not to be corrupted that way.

Additional info: In Gnome.

Comment 1 ricky.tigg 2018-04-18 08:59:26 UTC
Operation was applied today to an other laptop with the same effects.

Comment 2 ricky.tigg 2018-05-07 07:53:15 UTC
Issue not tied specifically to component dnf-plugin-system-upgrade, since it occurs as well in context of a fresh install from Fedora-Workstation-Live-x86_64-28-1.1.iso image file.

Comment 3 Jiri Konecny 2018-05-07 08:32:45 UTC
If this is happening with dnf system-upgrade and also with fresh installation it can't be caused by Anaconda. Anaconda is not used at all by dnf system-upgrade. For me this looks like a gnome component is broken when upgraded/installed on Fedora 28.

Changing component to gnome-shell they should have better idea which component is responsible for these recent documents.

Comment 4 Florian Müllner 2018-05-07 18:22:34 UTC
gnome-shell isn't involved at all here, let's try gvfs' recent backend ...

Comment 5 Ondrej Holy 2018-05-09 09:57:29 UTC
It is nautilus issue, see:
https://gitlab.gnome.org/GNOME/nautilus/issues/378

Comment 6 Ben Cotton 2019-05-02 21:49:04 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-05-28 20:09:56 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.